﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace F121506_SampleApp1
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        private List<object> ProviderName;

        public MainWindow()
        {
            InitializeComponent();

            ProviderName = new List<object>();
            ProviderName.Add("Name1");
            ProviderName.Add("Name2");
            ProviderName.Add("Name3");
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            object[] providers = new object[ProviderName.Count];
            for (int i = 0; i < ProviderName.Count; i++)
            {
                providers[i] = ProviderName[i];
            }
            cmbProviderList.SelectedValues = providers;
        }
    }
}
